petsc-3.4.2 2013-07-02

# PCFieldSplitGetSchurBlocks

Gets all matrix blocks for the Schur complement

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitGetSchurBlocks(PC pc,Mat *A00,Mat *A01,Mat *A10, Mat *A11)

Collective on KSP

### Input Parameter

pc -the preconditioner context

### Output Parameters

| A00 | - the (0,0) block
| A01 | - the (0,1) block
| A10 | - the (1,0) block
| A11 | - the (1,1) block

### See Also

PCFIELDSPLIT

Level:advanced
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages